Bug 7554 - Newlines break search paging
Summary: Newlines break search paging
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.6
Hardware: All All
: P3 normal (vote)
Assignee: Jared Camins-Esakov
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-17 15:53 UTC by Jared Camins-Esakov
Modified: 2012-10-25 23:10 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Example record (742 bytes, application/octet-stream)
2012-02-17 18:15 UTC, Jared Camins-Esakov
Details
Bug 7554: Clean newlines in browse script (1.69 KB, patch)
2012-02-17 18:18 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 7554: Clean newlines in browse script (1.74 KB, patch)
2012-02-19 06:59 UTC, Chris Cormack
Details | Diff | Splinter Review
Signed patch (1.84 KB, patch)
2012-02-20 13:35 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2012-02-17 15:53:56 UTC
If you have newlines in the title of an item in your search results, the javascript search pagination on the OPAC details page is broken.
Comment 1 Jared Camins-Esakov 2012-02-17 16:24:09 UTC
Further investigation reveals that newlines in titles generally break search results in the OPAC.
Comment 2 Jared Camins-Esakov 2012-02-17 18:15:09 UTC
Created attachment 7742 [details]
Example record

You will need to add an item to this example record so that it shows up on Master (due to bug 6488).
Comment 3 Jared Camins-Esakov 2012-02-17 18:18:20 UTC Comment hidden (obsolete)
Comment 4 Chris Cormack 2012-02-19 06:59:28 UTC Comment hidden (obsolete)
Comment 5 Marcel de Rooy 2012-02-20 13:35:04 UTC
Created attachment 7774 [details] [review]
Signed patch
Comment 6 Marcel de Rooy 2012-02-20 13:35:51 UTC
QA: Works. Small change. Marked as Passed QA.